[Linux-PowerEdge] OMSA8.1 on RHEL/CentOS 7.1 workaround

Alain Péan alain.pean at lpn.cnrs.fr
Sat May 9 02:33:15 CDT 2015


Le 09/05/2015 02:47, Wes Dillingham a écrit :
> ve attempted to make the new OMSA 8.1 work on some 11th-Gen hardware 
> running CentOS 7.1 by using the following method described earlier on 
> this list:
>
> * patch the LSI middleware to read an alternate sysfs attribute. e.g to
> read /sys/.../megaraid_sas/version instead:
> >/  sed -i -e 's/\x00release_date\x00/\x00version\x00\x00\x00\x00\x00\x00/' /opt/dell/srvadmin/lib64/libstorelib.so.4.20.1-0
> /
> This method does work, but ultimately OMSA eventually goes back to the 
> state where it cannot detect the PERC card. Any ideas on making this 
> fix persistent, anyone else experiencing a similar issue?
>
>

Yes, I had the same issue, but noticed that there was a symlink to the 
library in the directory. I have no access at the machine presently, but 
do a :
# ls -l////opt/dell/srvadmin/lib64/libstorelib*

I had copied the old library to a new name .orig, but the link still 
pointed to this file. I made an unlink on the symlink, then created a 
new link to the correct, patched library. And then it worked again 
(after service dataeng restart).

Alain
/
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.us.dell.com/pipermail/linux-poweredge/attachments/20150509/aebfaa15/attachment.html 


More information about the Linux-PowerEdge mailing list